## korundum 4.11.2

=== debian/changelog ===
korundum (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:35:03 +0100

korundum (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:28:51 +0100

korundum (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:24:23 +0100

korundum (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:45:50 +0100

korundum (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Use debian-qt-kde.mk for auto-list-missing support

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:52 +0000

korundum (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release
  * Drop kubuntu_extra_requires.diff and kubuntu_ruby_1.9.diff - went upstream

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:20:17 +0100

korundum (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * Add from upstream kubuntu_extra_requires.diff
  * Add from upstream kubuntu_ruby_1.9.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:29:29 +0100

korundum (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Add build-dep on nepomuk-core-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:39:26 +0100

korundum (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, no remaining changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:49 +0000

korundum (4:4.10.2-1) experimental; urgency=low

  [ Diane Trout ]
  * New upstream release. 
  * Bump the smoke-dev-tools, libsmokeqt4-dev libsmokekde-dev and
    libqtruby4shared-dev build dependencies to >= 4:4.10.

 -- Sune Vuorela <sune@debian.org>  Mon, 08 Apr 2013 19:38:46 +0000

=== debian/control ===
Source: korundum
Section: ruby
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), cmake, ruby1.8, ruby1.8-dev, pkg-kde-tools,
 smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
 libsmokekde-dev (>= 4:4.10), libqtruby4shared-dev (>= 4:4.10),
 kdelibs5-dev, kdepimlibs5-dev, libakonadi-dev, okular-dev, libsoprano-dev,
 nepomuk-core-dev
Standards-Version: 3.9.3
Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/korundum.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/korundum.git;a=summary

Package: korundum
Architecture: all
Depends: ruby-kde4, ruby-akonadi, ruby-okular, ruby-plasma, ruby-soprano,
 ${misc:Depends}
Provides: korundum4
Replaces: korundum4 (<< 4:4.9.80)
Breaks: korundum4 (<< 4:4.9.80)
Description: Ruby bindings for the KDE Development Platform
 This virtual package installs the complete suite of KDE bindings for the Ruby
 language including KHTML, Okular, Nepomuk, and Solid bindings.
 .
 This is part of the Korundum module.

Package: ruby-kde4
Architecture: any
Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
Provides: libkde4-ruby, libkde4-ruby1.8
Replaces: libkde4-ruby (<< 4:4.9.80), libkde4-ruby1.8 (<< 4:4.9.80)
Breaks: libkde4-ruby (<< 4:4.9.80), libkde4-ruby1.8 (<< 4:4.9.80)
Description: KDE bindings for the Ruby language
 This package contains the Ruby bindings for KDE libraries, including:
  * KHTML
  * KIO
  * KTextEditor
  * Nepomuk
  * Solid
 .
 This is part of the Korundum module.

Package: ruby-kde4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}), ${misc:Depends}
Recommends: ruby-qt4-dbg
Replaces: kdebindings-dbg
Breaks: kdebindings-dbg
Description: Debug symbols for the KDE ruby bindings
 This package contains debugging files used to investigate problems with the
 KDE Ruby bindings.
 .
 This is part of the Korundum module.

Package: ruby-akonadi
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libakonadi-ruby, libakonadi-ruby1.8
Replaces: libakonadi-ruby (<< 4:4.9.80), libakonadi-ruby1.8 (<< 4:4.9.80)
Breaks: libakonadi-ruby (<< 4:4.9.80), libakonadi-ruby1.8 (<< 4:4.9.80)
Description: Akonadi Ruby bindings
 This package allows you to create applications that use the Akonadi PIM
 storage service in the Ruby language.
 .
 This is part of the Korundum module.

Package: ruby-okular
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libokular-ruby, libokular-ruby1.8
Replaces: libokular-ruby (<< 4:4.9.80), libokular-ruby1.8 (<< 4:4.9.80)
Breaks: libokular-ruby (<< 4:4.9.80), libokular-ruby1.8 (<< 4:4.9.80)
Description: Okular Ruby bindings
 This package allows you to create extensions for the Okular document reader.
 .
 This is part of the Korundum module.

Package: ruby-plasma
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}), ruby-qt4, ruby-qt4-webkit, ${shlibs:Depends}, ${misc:Depends}
Provides: libplasma-ruby, libplasma-ruby1.8
Replaces: libplasma-ruby (<< 4:4.9.80), libplasma-ruby1.8 (<< 4:4.9.80)
Breaks: libplasma-ruby (<< 4:4.9.80), libplasma-ruby1.8 (<< 4:4.9.80)
Description: Plasma Ruby bindings
 This package allows you to create desktop widgets in the Ruby language.
 .
 This is part of the Korundum module.

Package: ruby-soprano
Architecture: any
Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
Provides: libsoprano-ruby, libsoprano-ruby1.8
Replaces: libsoprano-ruby (<< 4:4.9.80), libsoprano-ruby1.8 (<< 4:4.9.80)
Breaks: libsoprano-ruby (<< 4:4.9.80), libsoprano-ruby1.8 (<< 4:4.9.80)
Description: Soprano Ruby bindings
 This package allows you to create applications that use the Soprano RDF
 storage, parsing and serialization framework in the Ruby language.
 .
 This is part of the Korundum module.

#Transitional packages: http://wiki.debian.org/Teams/Ruby/RubyInWheezy
Package: korundum4
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, korundum
Description: transitional package for korundum
 This is a transitional package to ease upgrades to the korundum package.
 It can safely be removed.

Package: libakonadi-ruby
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-akonadi
Description: transitional package for ruby-akonadi
 This is a transitional package to ease upgrades to the ruby-akonadi package.
 It can safely be removed.

Package: libakonadi-ruby1.8
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-akonadi
Description: transitional package for ruby-akonadi
 This is a transitional package to ease upgrades to the ruby-akonadi package.
 It can safely be removed.

Package: libkde4-ruby
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-kde4
Description: transitional package for ruby-kde4
 This is a transitional package to ease upgrades to the ruby-kde4 package.
 It can safely be removed.

Package: libkde4-ruby1.8
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-kde4
Description: transitional package for ruby-kde4
 This is a transitional package to ease upgrades to the ruby-kde4 package.
 It can safely be removed.

Package: libokular-ruby
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-okular
Description: transitional package for ruby-okular
 This is a transitional package to ease upgrades to the ruby-okular package.
 It can safely be removed.

Package: libokular-ruby1.8
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-okular
Description: transitional package for ruby-okular
 This is a transitional package to ease upgrades to the ruby-okular package.
 It can safely be removed.

Package: libplasma-ruby
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-plasma
Description: transitional package for ruby-plasma
 This is a transitional package to ease upgrades to the ruby-plasma package.
 It can safely be removed.

Package: libplasma-ruby1.8
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-plasma
Description: transitional package for ruby-plasma
 This is a transitional package to ease upgrades to the ruby-plasma package.
 It can safely be removed.

Package: libsoprano-ruby
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-soprano
Description: transitional package for ruby-soprano
 This is a transitional package to ease upgrades to the ruby-soprano package.
 It can safely be removed.

Package: libsoprano-ruby1.8
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, ruby-soprano
Description: transitional package for ruby-soprano
 This is a transitional package to ease upgrades to the ruby-soprano package.
 It can safely be removed.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

#Always use Ruby 1.8.x
RUBY_SITEARCH := $(shell ruby1.8 -rrbconfig -e 'puts Config::CONFIG["sitearch"]')
CMAKE_FLAGS := \
  -DRUBY_EXECUTABLE=/usr/bin/ruby1.8 \
  -DCUSTOM_RUBY_SITE_LIB_DIR=/usr/lib/ruby/1.8/ \
  -DCUSTOM_RUBY_SITE_ARCH_DIR=/usr/lib/ruby/1.8/$(RUBY_SITEARCH) \
  $(NULL)

override_dh_install:
	$(overridden_command) --list-missing

override_dh_strip:
	$(overridden_command) --dbg-package=ruby-kde4-dbg

override_dh_auto_configure:
	$(overridden_command) -- $(CMAKE_FLAGS)

override_dh_compress:
	$(overridden_command) -X.rb -X.ui -X.rc

## korundum 4.12.3

=== debian/changelog ===
korundum (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:43:36 +0100

korundum (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:01:56 +0100

korundum (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:10:07 +0000

korundum (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:25:41 +0000

korundum (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:19:39 +0000

korundum (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:19:47 +0000

korundum (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:17:09 +0100

korundum (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:47:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), cmake, ruby1.8, ruby1.8-dev, pkg-kde-tools,
+Build-Depends: shared-desktop-ontologies, debhelper (>= 9), cmake, ruby1.8, ruby1.8-dev, pkg-kde-tools,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
  libsmokekde-dev (>= 4:4.10), libqtruby4shared-dev (>= 4:4.10),
  kdelibs5-dev, kdepimlibs5-dev, libakonadi-dev, okular-dev, libsoprano-dev,

## korundum 4.13.0

=== CMakeLists.txt ===
project(Korundum)

set(COMPILE_RUBY FALSE CACHE INTERNAL "")

find_package(Ruby REQUIRED)
find_package(KDE4 REQUIRED)
find_package(QtRuby4 REQUIRED)
find_package(Smoke REQUIRED 
    COMPONENTS KdeCore
        KdeUi 
        KFile 
        KHtml 
        Kio 
        KNewStuff2
        KNewStuff3
        KParts
        KTextEditor
        KUtils
        Phonon
        Plasma
        QtCore
        Solid )
find_package(Smoke COMPONENTS Akonadi Okular Kate Soprano SopranoClient SopranoServer Nepomuk )
include(KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${SMOKE_INCLUDE_DIR} ${QTRUBY_INCLUDE_DIR} ${SMOKE_QTCORE_INCLUDE_DIR} ${SMOKE_KDECORE_INCLUDE_DIR} )

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${SMOKE_CMAKE_MODULE_DIR})
include(MacroOptionalFindPackage)
include(MacroOptionalAddBindings)

if (RUBY_LIBRARY AND RUBY_INCLUDE_DIRS AND RUBY_EXECUTABLE)
    set(COMPILE_RUBY TRUE CACHE INTERNAL "")
endif (RUBY_LIBRARY AND RUBY_INCLUDE_DIRS AND RUBY_EXECUTABLE)

macro_log_feature(COMPILE_RUBY "Ruby" "Ruby interpreter and libraries" "http://www.ruby-lang.org" FALSE "" "Needed to compile the Ruby bindings")

if (NOT COMPILE_RUBY)
    return()
endif (NOT COMPILE_RUBY)

SET(CUSTOM_RUBY_SITE_ARCH_DIR ${RUBY_SITEARCH_DIR} CACHE DIR "custom installation directory for ruby binary extension" )
SET(CUSTOM_RUBY_SITE_LIB_DIR ${RUBY_SITELIB_DIR} CACHE DIR "custom installation directory for ruby extension" )

# compute an overall version number which can be compared at once
MATH(EXPR RUBY_VERSION_NUMBER "${RUBY_VERSION_MAJOR}*10000 + ${RUBY_VERSION_MINOR}*100 + ${RUBY_VERSION_PATCH}")

add_subdirectory( examples )
add_subdirectory( src )
add_subdirectory( tools )
add_subdirectory( modules )

=== modules/kate/CMakeLists.txt ===
add_subdirectory( lib )

include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src ${KATE_INCLUDE_DIR})
INCLUDE_DIRECTORIES (${QT_INCLUDES})

set(kate_LIB_SRCS
   kate.cpp
   katehandlers.cpp )

kde4_add_library(kate SHARED ${kate_LIB_SRCS})

target_link_libraries(kate
    ${QTRUBY4SHARED_LIBRARY}
    ${SMOKE_KATE_LIBRARY}
    ${SMOKE_BASE_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${RUBY_LIBRARY}
    ${KATEINTERFACES_LIBRARY}
)
set_target_properties(kate PROPERTIES PREFIX "")
install(TARGETS kate DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/kate.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/kate.bundle\" )" )
endif (Q_WS_MAC)

=== modules/ktexteditor/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES})

set(rubyktexteditor_LIBRARY_SRC ktexteditor.cpp ktexteditorhandlers.cpp)

add_library(rubyktexteditor MODULE ${rubyktexteditor_LIBRARY_SRC})
target_link_libraries(rubyktexteditor
    ${SMOKE_BASE_LIBRARY}
    ${SMOKE_KTEXTEDITOR_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QTRUBY4SHARED_LIBRARY}
    ${RUBY_LIBRARY})
set_target_properties(rubyktexteditor PROPERTIES PREFIX "" OUTPUT_NAME ktexteditor)
install(TARGETS rubyktexteditor DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES ktexteditor.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/ktexteditor)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/ktexteditor.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/ktexteditor.bundle\" )" )
endif (Q_WS_MAC)

=== modules/plasma/CMakeLists.txt ===
add_subdirectory( examples )
add_subdirectory( src )

=== modules/solid/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES} ${KDE4_INCLUDE_DIR})

set(rubysolid_LIBRARY_SRC solid.cpp solidhandlers.cpp)

add_library(rubysolid MODULE ${rubysolid_LIBRARY_SRC})
target_link_libraries(rubysolid
    ${KDE4_SOLID_LIBS}
    ${SMOKE_BASE_LIBRARY}
    ${SMOKE_SOLID_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QTRUBY4SHARED_LIBRARY}
    ${RUBY_LIBRARY}
)
set_target_properties(rubysolid PROPERTIES PREFIX "" OUTPUT_NAME solid)
install(TARGETS rubysolid DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES solid.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/solid)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/solid.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/solid.bundle\" )" )
endif (Q_WS_MAC)

=== modules/kate/lib/KDE/CMakeLists.txt ===
install( FILES kate.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/KDE )

=== debian/changelog ===
korundum (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:11:20 +0100

korundum (4:4.12.97-0ubuntu2) trusty; urgency=medium

  * Resynchronize packaging with Debian.  Can be sync'ed once Debian has a
    higher version and default Ruby in Ubuntu is 2.0 or later
    - Update for new Ruby policy and Ruby 2.0 as default (LP: #1303366)
    - Drop debian/patches/use_ruby1.8.diff
    - Wrap and sort debian/control
    - Install files in Ruby vendor locations as per Ruby policy
  * Keep transitional packages, can be dropped after trusty
  * Don't specify RUBY_CONFIG_INCLUDE_DIR in debian/rules
    - For Ruby 1.9 it isn't needed and the Ruby 2.0 and later method does not
      work
  * Adjust .so file install locations in .install files to match Ruby 1.9

 -- Scott Kitterman <scott@kitterman.com>  Mon, 07 Apr 2014 12:23:57 -0400

korundum (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:36:14 +0200

korundum (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:37:37 +0100

korundum (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Rebuild with new okular libraries

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Mar 2014 13:23:36 +0000

korundum (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:08:21 +0000

korundum (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:57:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,27 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: shared-desktop-ontologies, debhelper (>= 9), cmake, ruby1.8, ruby1.8-dev, pkg-kde-tools,
- smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- libsmokekde-dev (>= 4:4.10), libqtruby4shared-dev (>= 4:4.10),
- kdelibs5-dev, kdepimlibs5-dev, libakonadi-dev, okular-dev, libsoprano-dev,
- nepomuk-core-dev
-Standards-Version: 3.9.3
+Uploaders: Torsten Marek <shlomme@debian.org>,
+           Sune Vuorela <sune@debian.org>,
+           David Palacio <dpalacio@orbitalibre.org>,
+           Michael Meskes <meskes@debian.org>,
+           Maximiliano Curia <maxy@debian.org>,
+           Cédric Boutillier <boutil@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kdelibs5-dev (>= 4:4.13.0),
+               kdepimlibs5-dev (>= 4:4.13.0),
+               libakonadi-dev,
+               libqtruby4shared-dev (>= 4:4.11.3-3~),
+               libsmokekde-dev (>= 4:4.11),
+               libsmokeqt4-dev (>= 4:4.11),
+               libsoprano-dev,
+               nepomuk-core-dev (>= 4:4.13.0),
+               okular-dev (>= 4:4.13.0),
+               ruby,
+               ruby-dev,
+               smoke-dev-tools (>= 4:4.11)
+Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
 X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/korundum.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
@@ -18,9 +32,12 @@
 
 Package: korundum
 Architecture: all
-Depends: ruby-kde4, ruby-akonadi, ruby-okular, ruby-plasma, ruby-soprano,
- ${misc:Depends}
-Provides: korundum4
+Depends: ruby-akonadi,
+         ruby-kde4,
+         ruby-okular,
+         ruby-plasma,
+         ruby-soprano,
+         ${misc:Depends}
 Replaces: korundum4 (<< 4:4.9.80)
 Breaks: korundum4 (<< 4:4.9.80)
 Description: Ruby bindings for the KDE Development Platform
@@ -31,8 +48,7 @@
 
 Package: ruby-kde4
 Architecture: any
-Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
-Provides: libkde4-ruby, libkde4-ruby1.8
+Depends: ruby-qt4, ${misc:Depends}, ${shlibs:Depends}
 Replaces: libkde4-ruby (<< 4:4.9.80), libkde4-ruby1.8 (<< 4:4.9.80)
 Breaks: libkde4-ruby (<< 4:4.9.80), libkde4-ruby1.8 (<< 4:4.9.80)
 Description: KDE bindings for the Ruby language
@@ -61,8 +77,7 @@
 
 Package: ruby-akonadi
 Architecture: any
-Depends: ruby-kde4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: libakonadi-ruby, libakonadi-ruby1.8
+Depends: ruby-kde4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: libakonadi-ruby (<< 4:4.9.80), libakonadi-ruby1.8 (<< 4:4.9.80)
 Breaks: libakonadi-ruby (<< 4:4.9.80), libakonadi-ruby1.8 (<< 4:4.9.80)
 Description: Akonadi Ruby bindings
@@ -73,8 +88,7 @@
 
 Package: ruby-okular
 Architecture: any
-Depends: ruby-kde4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: libokular-ruby, libokular-ruby1.8
+Depends: ruby-kde4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: libokular-ruby (<< 4:4.9.80), libokular-ruby1.8 (<< 4:4.9.80)
 Breaks: libokular-ruby (<< 4:4.9.80), libokular-ruby1.8 (<< 4:4.9.80)
 Description: Okular Ruby bindings
@@ -84,8 +98,11 @@
 
 Package: ruby-plasma
 Architecture: any
-Depends: ruby-kde4 (= ${binary:Version}), ruby-qt4, ruby-qt4-webkit, ${shlibs:Depends}, ${misc:Depends}
-Provides: libplasma-ruby, libplasma-ruby1.8
+Depends: ruby-kde4 (= ${binary:Version}),
+         ruby-qt4,
+         ruby-qt4-webkit,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Replaces: libplasma-ruby (<< 4:4.9.80), libplasma-ruby1.8 (<< 4:4.9.80)
 Breaks: libplasma-ruby (<< 4:4.9.80), libplasma-ruby1.8 (<< 4:4.9.80)
 Description: Plasma Ruby bindings
@@ -95,8 +112,7 @@
 
 Package: ruby-soprano
 Architecture: any
-Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
-Provides: libsoprano-ruby, libsoprano-ruby1.8
+Depends: ruby-qt4, ${misc:Depends}, ${shlibs:Depends}
 Replaces: libsoprano-ruby (<< 4:4.9.80), libsoprano-ruby1.8 (<< 4:4.9.80)
 Breaks: libsoprano-ruby (<< 4:4.9.80), libsoprano-ruby1.8 (<< 4:4.9.80)
 Description: Soprano Ruby bindings
@@ -204,4 +220,3 @@
 Description: transitional package for ruby-soprano
  This is a transitional package to ease upgrades to the ruby-soprano package.
  It can safely be removed.
-

=== debian/rules ===
#! /usr/bin/make -f

#RUBY_CONFIG_INCLUDE_DIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["rubyarchhdrdir"]')
RUBY_VENDORARCHDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorarchdir"]')
RUBY_VENDORLIBDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
CMAKE_FLAGS := \
  -DCUSTOM_RUBY_SITE_LIB_DIR=$(RUBY_VENDORLIBDIR) \
  -DCUSTOM_RUBY_SITE_ARCH_DIR=$(RUBY_VENDORARCHDIR) \
   $(NULL)

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=ruby-kde4-dbg

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_compress:
	dh_compress -X.rb -X.ui -X.rc

%:
	dh $@ --parallel

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/korundum-([\d\.]+)\.tar\.xz

## korundum 4.13.97

=== src/CMakeLists.txt ===

add_subdirectory( lib )

IF(QT_QTDBUS_FOUND)
    ADD_DEFINITIONS (-DQT_QTDBUS)
ENDIF(QT_QTDBUS_FOUND)

if(RUBY_VERSION)
    ADD_DEFINITIONS (-DRUBY_VERSION=0x${RUBY_VERSION_NUMBER})
ENDIF(RUBY_VERSION)

include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )

set(korundum_LIB_SRCS 
   Korundum.cpp 
   kdehandlers.cpp 
   )

set(factory_SRCS
    krubypluginfactory.cpp)

set(application_SRCS
    krubyapplication.cpp)

kde4_add_library(korundum4 SHARED ${korundum_LIB_SRCS})

target_link_libraries(korundum4 
    ${QT_QTNETWORK_LIBRARY} 
    ${QT_QTSQL_LIBRARY} 
    ${QT_QTOPENGL_LIBRARY} 
    ${QT_QTXML_LIBRARY} 
    ${QT_QTSVG_LIBRARY} 
    ${KDE4_KDECORE_LIBS} 
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS} 
    ${KDE4_KNEWSTUFF2_LIBS}
    ${KDE4_KPTY_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${RUBY_LIBRARY}
    ${SMOKE_BASE_LIBRARY}
    smokekdecore 
    smokekdeui 
    ${SMOKE_KIO_LIBRARY} 
    smokekparts 
    smokekfile 
    smokeknewstuff2 
    smokeknewstuff3 
    smokekutils      
    ${QTRUBY4SHARED_LIBRARY})

set_target_properties(korundum4 PROPERTIES PREFIX "")

kde4_add_plugin(krubypluginfactory ${factory_SRCS})
target_link_libraries(krubypluginfactory ${KDE4_KDECORE_LIBS}
        ${KDE4_KIO_LIBS}
        ${RUBY_LIBRARY}
        ${SMOKE_BASE_LIBRARY}
        ${QTRUBY4SHARED_LIBRARY})

kde4_add_executable(krubyapplication ${application_SRCS})
target_link_libraries(krubyapplication ${KDE4_KDECORE_LIBS} ${RUBY_LIBRARY})

install(TARGETS korundum4  DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR} )
install(TARGETS krubypluginfactory DESTINATION ${PLUGIN_INSTALL_DIR})
install(TARGETS krubyapplication DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/korundum4.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/korundum4.bundle\" )" )
endif (Q_WS_MAC)

=== modules/okular/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES})

set(rubyokular_LIBRARY_SRC okular.cpp okularhandlers.cpp)

add_library(rubyokular MODULE ${rubyokular_LIBRARY_SRC})
target_link_libraries(rubyokular
    ${OKULAR_LIBRARIES}
    ${SMOKE_OKULAR_LIBRARY}
    ${QTRUBY4SHARED_LIBRARY}
    ${RUBY_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${SMOKE_BASE_LIBRARY}
)
set_target_properties(rubyokular PROPERTIES PREFIX "" OUTPUT_NAME okular)
install(TARGETS rubyokular DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES okular.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/okular)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/okular.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/okular.bundle\" )" )
endif (Q_WS_MAC)

=== debian/changelog ===
korundum (4:4.13.97-0ubuntu1~ubuntu14.04~ppa3) trusty; urgency=medium

  * Fix depend version
  * Adjusted rules files to accomodate trusty version of ruby.
  * Fixed install paths on all ruby related libs. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 17:28:05 -0700

korundum (4:4.13.97-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 14:02:58 -0700

korundum (4:4.13.97-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  * New upstream release candidate
  * Remove obsolete soprano support.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 31 Jul 2014 12:18:51 -0700

korundum (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Build without nepomuk

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:28:42 +0200

korundum (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add not-installed file

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:22:41 +0200

korundum (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:56 +0100

korundum (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Jun 2014 12:10:32 +0200

korundum (4:4.11.3-4) unstable; urgency=medium

  * Build against Ruby 2.1. (Closes: #747682)

 -- Cédric Boutillier <boutil@debian.org>  Mon, 19 May 2014 14:10:59 +0200

korundum (4:4.11.3-3) unstable; urgency=medium

  * Build against ruby 2.0. (Closes: #739123)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Apr 2014 11:21:03 +0200

korundum (4:4.11.3-2) unstable; urgency=low

  * Build against default Ruby version (Closes: #723634).
  * Add myself to uploaders.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Make Vcs-Git URL more canonical.
  * Use Ruby vendor directories to install as per Ruby policy.
  * Increase minimal version of libqtruby4shared-dev in Build-Depends to
    ensure ruby1.9 support.
  * License for modules/soprano/examples/soprano_util/soprano_util.rb precised
    to BSD-2-clause (confirmation from Olivier Berger).
  * Drop transitional packages, already in Wheezy.

 -- Cédric Boutillier <boutil@debian.org>  Tue, 10 Dec 2013 16:14:50 +0100

korundum (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:28:42 +0100

korundum (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 16:25:02 +0200

korundum (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:33 +0200

korundum (4:4.10.4-2) experimental; urgency=low

  * New patch: rbkconfig_compiler_mayhem_fix.patch
    fix for http://www.forallsecure.com/bug-
    reports/c83a9d5bc92bafac366256af920d7da056febe26/

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Jun 2013 09:22:16 +0200

korundum (4:4.10.4-1) experimental; urgency=low

  * New upstream release.

  [ Daniele E. Domenichelli ]
  * Bump okular-dev build dependency to >= 4:4.10.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 18:19:15 +0200

=== debian/control ===
Source: korundum
Section: ruby
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>,
           Sune Vuorela <sune@debian.org>,
           David Palacio <dpalacio@orbitalibre.org>,
           Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Cédric Boutillier <boutil@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.13.97),
               kdepimlibs5-dev (>= 4:4.13.97),
               libakonadi-dev,
               libqtruby4shared-dev (>= 4:4.11.3-4~),
               libsmokekde-dev (>= 4:4.13.97),
               libsmokeqt4-dev (>= 4:4.11),
               okular-dev (>= 4:4.13.97),
               ruby,
               ruby-dev,
               smoke-dev-tools (>= 4:4.11)
Standards-Version: 3.9.5
Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/korundum.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/korundum.git;a=summary

Package: korundum
Architecture: all
Depends: ruby-akonadi,
         ruby-kde4,
         ruby-okular,
         ruby-plasma,
         ruby-soprano,
         ${misc:Depends}
Description: Ruby bindings for the KDE Development Platform
 This virtual package installs the complete suite of KDE bindings for the Ruby
 language including KHTML, Okular, Nepomuk, and Solid bindings.
 .
 This is part of the Korundum module.

Package: ruby-kde4
Architecture: any
Depends: ruby-qt4 (>= 4:4.11.3-4~), ${misc:Depends}, ${shlibs:Depends}
Description: KDE bindings for the Ruby language
 This package contains the Ruby bindings for KDE libraries, including:
  * KHTML
  * KIO
  * KTextEditor
  * Nepomuk
  * Solid
 .
 This is part of the Korundum module.

Package: ruby-kde4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}), ${misc:Depends}
Recommends: ruby-qt4-dbg
Replaces: kdebindings-dbg
Breaks: kdebindings-dbg
Description: Debug symbols for the KDE ruby bindings
 This package contains debugging files used to investigate problems with the
 KDE Ruby bindings.
 .
 This is part of the Korundum module.

Package: ruby-akonadi
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi Ruby bindings
 This package allows you to create applications that use the Akonadi PIM
 storage service in the Ruby language.
 .
 This is part of the Korundum module.

Package: ruby-okular
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Okular Ruby bindings
 This package allows you to create extensions for the Okular document reader.
 .
 This is part of the Korundum module.

Package: ruby-plasma
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}),
         ruby-qt4,
         ruby-qt4-webkit,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Ruby bindings
 This package allows you to create desktop widgets in the Ruby language.
 .
 This is part of the Korundum module.

## korundum 4.14.1

=== debian/changelog ===
korundum (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:27:31 +0200

korundum (4:4.14.0-0ubuntu3) utopic; urgency=medium

  * Revert lowering of build-dep on libsmokekde-dev now that smoke builds

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Aug 2014 17:12:28 +0200

korundum (4:4.14.0-0ubuntu2) utopic; urgency=medium

  * Lower build-dep on libsmokekde-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Aug 2014 12:19:38 +0200

korundum (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:18:58 +0200

korundum (4:4.13.97-0ubuntu2) utopic; urgency=high

  * Drop korundum depends on ruby-soprano since it no longer exists

 -- Scott Kitterman <scott@kitterman.com>  Sat, 09 Aug 2014 16:43:58 -0400

korundum (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream release candidate
  * Remove obsolete soprano support.

  [ Jonathan Riddell ]
  * Build without nepomuk

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Sat, 09 Aug 2014 15:56:19 -0400

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
            Cédric Boutillier <boutil@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kdelibs5-dev (>= 4:4.13.97),
-               kdepimlibs5-dev (>= 4:4.13.97),
+               kdelibs5-dev (>= 4:4.14.1),
+               kdepimlibs5-dev (>= 4:4.14.1),
                libakonadi-dev,
                libqtruby4shared-dev (>= 4:4.11.3-4~),
-               libsmokekde-dev (>= 4:4.13.97),
-               libsmokeqt4-dev (>= 4:4.11),
-               okular-dev (>= 4:4.13.97),
+               libsmokekde-dev (>= 4:4.14.1),
+               libsmokeqt4-dev (>= 4:4.14),
+               okular-dev (>= 4:4.14.1),
                ruby,
                ruby-dev,
                smoke-dev-tools (>= 4:4.11)
@@ -34,7 +34,6 @@
          ruby-kde4,
          ruby-okular,
          ruby-plasma,
-         ruby-soprano,
          ${misc:Depends}
 Description: Ruby bindings for the KDE Development Platform
  This virtual package installs the complete suite of KDE bindings for the Ruby

## korundum 4.14.2

=== debian/changelog ===
korundum (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Oct 2014 19:12:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: korundum
 Section: ruby
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Sune Vuorela <sune@debian.org>,
            David Palacio <dpalacio@orbitalibre.org>,
@@ -11,22 +10,22 @@
            Cédric Boutillier <boutil@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kdelibs5-dev (>= 4:4.14.1),
-               kdepimlibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
+               kdepimlibs5-dev (>= 4:4.11),
                libakonadi-dev,
                libqtruby4shared-dev (>= 4:4.11.3-4~),
-               libsmokekde-dev (>= 4:4.14.1),
-               libsmokeqt4-dev (>= 4:4.14),
-               okular-dev (>= 4:4.14.1),
+               libsmokekde-dev (>= 4:4.11),
+               libsmokeqt4-dev (>= 4:4.11),
+               libsoprano-dev,
+               nepomuk-core-dev (>= 4:4.11),
+               okular-dev (>= 4:4.13),
                ruby,
                ruby-dev,
                smoke-dev-tools (>= 4:4.11)
 Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/korundum.git
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/korundum.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/korundum.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/korundum.git;a=summary
 
 Package: korundum
 Architecture: all
@@ -34,6 +33,7 @@
          ruby-kde4,
          ruby-okular,
          ruby-plasma,
+         ruby-soprano,
          ${misc:Depends}
 Description: Ruby bindings for the KDE Development Platform
  This virtual package installs the complete suite of KDE bindings for the Ruby
@@ -96,3 +96,12 @@
  This package allows you to create desktop widgets in the Ruby language.
  .
  This is part of the Korundum module.
+
+Package: ruby-soprano
+Architecture: any
+Depends: ruby-qt4 (>= 4:4.11.3-4~), ${misc:Depends}, ${shlibs:Depends}
+Description: Soprano Ruby bindings
+ This package allows you to create applications that use the Soprano RDF
+ storage, parsing and serialization framework in the Ruby language.
+ .
+ This is part of the Korundum module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/korundum-([\d.]+).tar.xz
